Bug 223536 - [RHEL 4] lftp 'help mirror' does not display all options defined in manpage.
[RHEL 4] lftp 'help mirror' does not display all options defined in manpage.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lftp (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 16:30 EST by Chris Van Hoof
Modified: 2016-07-26 19:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0118
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 16:18:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add options to help page in src/command.cc (1.88 KB, patch)
2007-01-19 16:30 EST, Chris Van Hoof
no flags Details | Diff

  None (edit)
Description Chris Van Hoof 2007-01-19 16:30:45 EST
Description of problem:
lftps help section within the mirror shell does not show all available options
that are defined in the man page.  --only-missing for instance.

Version-Release number of selected component (if applicable):
3.0.6-3 (RHEL 4)

How reproducible:
Easily 


Steps to Reproduce:
1. lftp enterprise.redhat.com/incoming
2. run mirror
3. run help mirror
4. review output
  
Actual results:
Misses some options

Expected results:
Should report all documented options from man page.

Additional info:
Patch attached, and tested.
Comment 1 Chris Van Hoof 2007-01-19 16:30:45 EST
Created attachment 146037 [details]
patch to add options to help page in src/command.cc
Comment 11 errata-xmlrpc 2008-02-13 16:18:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0118.html

Note You need to log in before you can comment on or make changes to this bug.